#include <Wt/WApplication.h>
#include <Wt/WEnvironment.h>
#include <Wt/Http/HttpUtils.h>
#include <Wt/WMessageBox.h>

#include "wresourceobject.h"

using namespace std;
using namespace Wt;


WebResourceWidget::WebResourceWidget(void) :
dWebFormNo(0)
{

	setDispositionType(ContentDisposition::None);
//	setInternalPath("webResourcePage.html");

}


WebResourceWidget::WebResourceWidget(string const &url) :
dWebFormNo(0),
dUrl(url)
{

	setDispositionType(ContentDisposition::None);
//	setInternalPath("webResourcePage");

}


string WebResourceWidget::GetResourceUrl(string const &defaultUrl)
{

	WApplication *app = WApplication::instance();
	string result, internalUrl(url()), externalUrl(app->makeAbsoluteUrl(internalUrl));
	result = defaultUrl.length() ? defaultUrl : externalUrl;
	return(result);

}


void WebResourceWidget::handleRequest(Wt::Http::Request const &request, Wt::Http::Response &response)
{


	Wt::log("info") << " +++ building html code for action ...";
	Wt::log("info") << " +++ Going to a specific page (" << dUrl << ") ...";
	response.setMimeType("text/html");
	response.out() << "<!DOCTYPE html>\n"
		<< "<html>\n"
		<< "<head>\n"
		<< "<meta http-equiv=\"refresh\" content=\"0; url='" << dUrl << "'\"/>\n"
		<< "</head>\n"
		<< "<body>\n"
		<< "</body>\n</html>";
	Wt::log("info") << " +++ html code ready for action ...";

}


void WebResourceWidget::SetUrl(string const &url)
{

	dUrl = url;

}



WebResourceWidget::~WebResourceWidget(void)
{

	beingDeleted();

}